Gtk2::Gdk::Cairo::Context(3)

NAME
Gtk2::Gdk::Cairo::Context

METHODS

  scalar = Gtk2::Gdk::Cairo::Context->create ($drawable)

    * $drawable (Gtk2::Gdk::Drawable)

  $cr->rectangle (rectangle)
    * ... (list)
    * $rectangle ((unknown)) Gtk2::Gdk::Rectangle

  $cr->region ($region)

    * $region (Gtk2::Gdk::Region)

  $cr->set_source_color ($color)
    * $color (Gtk2::Gdk::Color)

  $cr->set_source_pixbuf ($pixbuf, $pixbuf_x, $pixbuf_y)

    * $pixbuf (Gtk2::Gdk::Pixbuf)
    * $pixbuf_x (double)
    * $pixbuf_y (double)

  $cr->set_source_pixmap ($pixmap, $pixmap_x, $pixmap_y)

    * $pixmap (Gtk2::Gdk::Pixmap)
    * $pixmap_x (double)
    * $pixmap_y (double)

    Since: gtk+ 2.10

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.